# Markets

Starting Price (SP) markets are regular markets where the final odds are unknown at bet time.

### Identify an SP market

Check the `Market.ExtraParameters`.

* `Market.ExtraParameters : { "IsSp": "true" }` for SP markets.

Example:

<pre class="language-json"><code class="lang-json">{
  "extraParameters": {
    "MarketFeatures": "None",
    "ScratchedPositions": "[]",
    "IsExotics": "false",
    "IsFixedExotics": "false",
<strong>    "IsSp": "true"
</strong>  }
}
</code></pre>

### Selections in SP markets

Before the event starts, selection `price`/`startingPrice` is `null`.

You can still receive an indicative price. For example `originalPrice`. Do not treat it as the final SP odds.

Example:

<pre class="language-json"><code class="lang-json">{
  "id": 12345,
  "name": "Goway",
  "probability": 0.39130363,
<strong>  "price": null,
</strong>  "originalPrice": 2.15,
  "status": 0,
  "settlement": 0,
  "deadHeatFactor": 0,
  "extraParameters": {},
  "isBetBuilderSupported": false,
  "competitorId": 54321
<strong>  "startingPrice": null
</strong>}
</code></pre>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.odds88.io/integration-process/recommended-integration-flow/optional-features/starting-price-integration/markets.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
